//
//  NetworkManagerError.swift
//  PadelClub
//
//  Created by Razmig Sarkissian on 03/03/2024.
//

import Foundation

enum NetworkManagerError: LocalizedError {
    case maintenance
    case fileNotYetAvailable
    case mailFailed
    case mailNotSent //no network no error
    case messageFailed
    case messageNotSent //no network no error
    
    var errorDescription: String? {
        switch self {
        case .maintenance:
            return "Le site de la FFT est en maintenance"
        default:
            return String(describing: self)
        }
    }
}
